// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: ArfDataServer
// Author: Hassan Siddiqui
//
// Description: Data pool which is used during arf generation
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: ArfDataServer.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef ArfDataServer_H
#define ArfDataServer_H

/* Originally, had an abstract ArfDataServer object,
   in case more than one type of ArfDataServer is required.
   Found in practice, howerver, that only one type is
   ever used. So removed ArfDataServer class and linked
   header file to ConcreteArfDataServer . */
#include "ConcreteArfDataServer.h"

// Reference to global ArfDataServer object, declared elsewhere.
extern ConcreteArfDataServer * arfDataServer;
#endif
